Subject: bug#14812: 24.3; build failure on FreeBSD 9.1

From: Glenn Morris <[email-masked]>
Date: Fri, 19 Jul 2013 20:57:37 -0400

Ashish SHUKLA wrote:

>> The configure.ac patches removes the test for ALSA altogether - why?
>
> ALSA is not native sound system for FreeBSD, and OSS support is already
> available so it was excluded.

I don't quite understand. ALSA may be present on a FreeBSD system, and
if it is, configure detecting it actually breaks Emacs sound support, so
it should be excluded?

If the test for ossaudio succeeds, we should not go on to test for alsa
too? Sounds like this might be general rather than specific to FreeBSD?

> Are the changes for ARM/SPARC architecture from patch-src_sysdep.c
> good enough ?
> If you think those are fine, then I can file a bug report along with
> the changes.

I don't know. It's certainly worth making an Emacs bug report that
explains what the problem is and how the patch is supposed to fix it.